
µWeb - Bug #811

HEAD request returns the whole page (like a GET request) and not only headers.

2012-05-10 10:22 - Niek Bergman

Status: Closed Start date: 2012-05-10

Priority: Normal Due date:  

Assignee: Niek Bergman % Done: 100%

Category:  Estimated time: 1.00 hour

Target version: µWeb alpha release Spent time: 1.00 hour

Description

Doing a HEAD request on a µWeb served page gives back a full page (as if the request were a GET request), and not only the

headers of that page.

RFC2616 specifies "The HEAD method is identical to GET except that the server MUST NOT return a message-body in the

response"

Associated revisions

Revision 222:5ca12ee8c3c0 - 2012-05-10 18:53 - Elmer de Looff

Reduced Apache mock code and simplified return from uweb.Handler. Fixed request module to only actually send data for requests other than HEAD.

This resolves #811.

History

#1 - 2012-05-10 10:27 - Elmer de Looff

- Assignee set to Elmer de Looff

- Target version set to µWeb alpha release

- Estimated time set to 1.00 h

Needs fixing before public release.

#2 - 2012-05-10 18:56 - Elmer de Looff

- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset 5ca12ee8c3c0.

#3 - 2012-05-10 18:56 - Elmer de Looff

- Assignee changed from Elmer de Looff to Niek Bergman

Niek,

Please confirm this works for you as well.

#4 - 2012-05-11 09:33 - Niek Bergman

Confirmed to be working with latest µWeb -- only headers get returned currently like they should.

#5 - 2012-05-11 09:39 - Elmer de Looff

- Status changed from Resolved to Closed

- % Done changed from 70 to 100
